Bug 1151312 (CVE-2014-8241) - CVE-2014-8241 tigervnc: NULL pointer dereference flaw in XRegion
Summary: CVE-2014-8241 tigervnc: NULL pointer dereference flaw in XRegion
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8241
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141010,repor...
Depends On: 1248422
Blocks: 1210268 1248061
TreeView+ depends on / blocked
 
Reported: 2014-10-10 05:48 UTC by Siddharth Sharma
Modified: 2019-06-08 20:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in TigerVNC's XRegion. A malicious VNC server could use this flaw to cause a client to crash.
Clone Of:
Environment:
Last Closed: 2015-11-20 05:29:56 UTC


Attachments (Terms of Use)
tigervnc-CVE-2014-8241.patch (proposed RHEL-7.1 patch) (4.00 KB, patch)
2014-10-13 16:59 UTC, Tim Waugh
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2233 normal SHIPPED_LIVE Moderate: tigervnc security, bug fix, and enhancement update 2015-11-19 09:11:46 UTC

Description Siddharth Sharma 2014-10-10 05:48:30 UTC
This issue was discovered by Tim Waugh of Red Hat. Tigervnc is affected by same thing as in CVE-2014-6052. A NULL pointer dereference flaw was reported in tigervnc. A malicious VNC server could use this flaw to cause a client to crash.

Comment 3 Tim Waugh 2014-10-13 16:59:54 UTC
Created attachment 946490 [details]
tigervnc-CVE-2014-8241.patch (proposed RHEL-7.1 patch)

Comment 9 errata-xmlrpc 2015-11-19 09:03:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2233 https://rhn.redhat.com/errata/RHSA-2015-2233.html

Comment 10 Huzaifa S. Sidhpurwala 2015-11-20 05:29:56 UTC
Statement:

This issue affects the version of tigervnc as shipped with Red Hat Enterprise Linux 5 and 6. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 5 and 6.

Comment 11 Salvatore Bonaccorso 2016-10-16 11:35:21 UTC
Hi Tim

Would it be possible to make the patch as applied in Red Hat public?

Regards,
Salvatore


Note You need to log in before you can comment on or make changes to this bug.